# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "cairo"
  s.version = "1.12.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Kouhei Sutou"]
  s.date = "2012-06-03"
  s.description = "Ruby bindings for cairo"
  s.email = ["kou@cozmixng.org"]
  s.extensions = ["ext/cairo/extconf.rb"]
  s.extra_rdoc_files = ["README.rdoc"]
  s.files = ["AUTHORS", "COPYING", "GPL", "Gemfile", "NEWS", "README.rdoc", "ext/cairo/extconf.rb", "Rakefile", "lib/cairo/color.rb", "lib/cairo/pattern.rb", "lib/cairo/papers.rb", "lib/cairo/point.rb", "lib/cairo/context.rb", "lib/cairo/device.rb", "lib/cairo/colors.rb", "lib/cairo/context/circle.rb", "lib/cairo/context/rectangle.rb", "lib/cairo/context/color.rb", "lib/cairo/context/blur.rb", "lib/cairo/context/triangle.rb", "lib/cairo/context/path.rb", "lib/cairo/path.rb", "lib/cairo/surface.rb", "lib/cairo/constants.rb", "lib/cairo/paper.rb", "lib/cairo.rb", "samples/pac-tee.rb", "samples/agg/aa_test.rb", "samples/pac-nomralize.rb", "samples/text2.rb", "samples/scalable.rb", "samples/blur.rb", "samples/png.rb", "samples/pac.rb", "samples/text-on-path.rb", "ext/cairo/cairo.def", "ext/cairo/depend", "ext/cairo/rb_cairo_io.c", "ext/cairo/rb_cairo_constants.c", "ext/cairo/rb_cairo_pattern.c", "ext/cairo/rb_cairo_exception.c", "ext/cairo/rb_cairo_font_options.c", "ext/cairo/rb_cairo_text_cluster.c", "ext/cairo/rb_cairo_text_extents.c", "ext/cairo/rb_cairo_device.c", "ext/cairo/rb_cairo_font_face.c", "ext/cairo/rb_cairo_scaled_font.c", "ext/cairo/rb_cairo_context.c", "ext/cairo/rb_cairo_glyph.c", "ext/cairo/rb_cairo_surface.c", "ext/cairo/rb_cairo_font_extents.c", "ext/cairo/rb_cairo_path.c", "ext/cairo/rb_cairo_private.c", "ext/cairo/rb_cairo_matrix.c", "ext/cairo/rb_cairo_region.c", "ext/cairo/rb_cairo.c", "ext/cairo/rb_cairo_io.h", "ext/cairo/rb_cairo.h", "ext/cairo/rb_cairo_private.h", "test/test_surface.rb", "test/test_scaled_font.rb", "test/test_recording_surface.rb", "test/test_text_to_glyphs_data.rb", "test/test_font_extents.rb", "test/test_tee_surface.rb", "test/test_text_extents.rb", "test/test_paper.rb", "test/test_context.rb", "test/cairo-test-utils.rb", "test/test_xml_device.rb", "test/test_raster_source_pattern.rb", "test/run-test.rb", "test/test_script_surface.rb", "test/test_region.rb", "test/test_font_face.rb", "test/test_script_device.rb", "test/test_xml_surface.rb", "test/test_exception.rb", "test/test_text_cluster.rb", "test/test_color.rb", "test/test_font_options.rb", "test/test_constants.rb"]
  s.homepage = "http://cairographics.org/rcairo"
  s.licenses = ["Ruby's"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "cairo"
  s.rubygems_version = "1.8.23"
  s.summary = "Ruby bindings for cairo"
  s.test_files = ["test/test_surface.rb", "test/test_scaled_font.rb", "test/test_recording_surface.rb", "test/test_text_to_glyphs_data.rb", "test/test_font_extents.rb", "test/test_tee_surface.rb", "test/test_text_extents.rb", "test/test_paper.rb", "test/test_context.rb", "test/cairo-test-utils.rb", "test/test_xml_device.rb", "test/test_raster_source_pattern.rb", "test/run-test.rb", "test/test_script_surface.rb", "test/test_region.rb", "test/test_font_face.rb", "test/test_script_device.rb", "test/test_xml_surface.rb", "test/test_exception.rb", "test/test_text_cluster.rb", "test/test_color.rb", "test/test_font_options.rb", "test/test_constants.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<pkg-config>, [">= 0"])
      s.add_development_dependency(%q<bundler>, [">= 0"])
      s.add_development_dependency(%q<test-unit-notify>, [">= 0"])
      s.add_development_dependency(%q<rake-compiler>, [">= 0"])
      s.add_development_dependency(%q<packnga>, [">= 0"])
    else
      s.add_dependency(%q<pkg-config>, [">= 0"])
      s.add_dependency(%q<bundler>, [">= 0"])
      s.add_dependency(%q<test-unit-notify>, [">= 0"])
      s.add_dependency(%q<rake-compiler>, [">= 0"])
      s.add_dependency(%q<packnga>, [">= 0"])
    end
  else
    s.add_dependency(%q<pkg-config>, [">= 0"])
    s.add_dependency(%q<bundler>, [">= 0"])
    s.add_dependency(%q<test-unit-notify>, [">= 0"])
    s.add_dependency(%q<rake-compiler>, [">= 0"])
    s.add_dependency(%q<packnga>, [">= 0"])
  end
end
